/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl;

import com.topcoder.document.index.persistence.IndexPersistenceException;


/**
 * <p>
 * This is an exception that signals persistence configuration issues when instantiating persistence instances. It is
 * thrown in the constructors of the IndexPersistence implementations.
 * </p>
 *
 * @author AleaActaEst, TCSDEVELOPER
 * @version 1.0
 */
public class PersistenceConfigurationException extends IndexPersistenceException {
    /**
     * <p>
     * Creates the exception with the exception message.
     * </p>
     *
     * @param msg the message describing the exception.
     */
    public PersistenceConfigurationException(String msg) {
        super(msg);
    }

    /**
     * <p>
     * Creates the exception with the exception message and cause exception.
     * </p>
     *
     * @param msg the message describing the exception.
     * @param cause the cause of the exception.
     */
    public PersistenceConfigurationException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
